Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer
Interface TypeDetectingAttributeRenderer

All Superinterfaces:
  AttributeRenderer

All Known Implementing Classes:
  AbstractTypeDetectingAttributeRenderer, DefinitionAttributeRenderer, FreeMarkerAttributeRenderer, StringAttributeRenderer, TemplateAttributeRenderer, VelocityAttributeRenderer

    public interface TypeDetectingAttributeRenderer

extends AttributeRenderer

It represents a renderer that identifies attributes that can render.

Since:
  2.2.1
Version:
  $Rev: 821299 $ $Date: 2009-10-03 14:15:05 +0200 (sab, 03 ott 2009) $

Method Summary
`boolean` | `isRenderable(Attribute attribute, TilesRequestContext request)` Checks if this renderer can render an attribute.
`boolean` | `isRenderable(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Checks if this renderer can render an attribute.

Methods inherited from interface org.apache.tiles.renderer.AttributeRenderer
`render`

Method Detail

### isRenderable

    boolean isRenderable(Attribute attribute,
                         TilesRequestContext request)

  Checks if this renderer can render an attribute. Note that this does not mean it is the best renderer available, but checks only its capability.

  Parameters:
    `attribute` - The attribute to be renderer.
    `request` - The Tiles request context.
  Returns:
    `true` if this renderer can render the attribute.
  Since:
    2.2.1

### isRenderable

    boolean isRenderable(java.lang.Object value,
                         Attribute attribute,
                         TilesRequestContext request)

  Checks if this renderer can render an attribute. Note that this does not mean it is the best renderer available, but checks only its capability.

  Parameters:
    `value` - The attribute value, already evaluated.
    `attribute` - The attribute to be renderer.
    `request` - The Tiles request context.
  Returns:
    `true` if this renderer can render the attribute.
  Since:
    2.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.